<?php
/**
* @subpackage	plg_articlelink
* @author		Antonio Di Girolamo & Giampaolo Losito
* @copyright	Copyright (C) 2011 isApp.it. All rights reserved.
* @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* @link			http://www.isapp.it/article-link.html
*/
defined('_JEXEC') or die;
jimport('joomla.plugin.plugin');

class plgButtonArticlelinked extends JPlugin
{
	/**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @param object $subject	The object to observe
	 * @param array $config	An array that holds the plugin configuration
	 * @since				1.5
	 */
	function plgButtonArticlelinked(& $subject, $config)
	{
		parent::__construct($subject, $config);
	}

	/**
	 * Display the button
	 *
	 * @return array A two element array of ( imageName, textToInsert )
	 */
	function onDisplay($name)
	{
		global $mainframe;

		$doc = & JFactory::getDocument();
		$template = $mainframe->getTemplate();
		
		$imageUrl	= JURI::root().'administrator/components/com_articlelinked/img/button.png';
		$doc->addStyleDeclaration('.button2-left .articlelinked{background:url('. $imageUrl .') 100% 0 no-repeat;}');
		$link = 'index.php?option=com_articlelinked&amp;tmpl=component&amp;e_name='.$name;

		JHTML::_('behavior.modal');
		
		jimport('joomla.environment.browser');
		$browser	= & JBrowser::getInstance();
		
		$button = new JObject();
		if($browser->getBrowser() == 'msie') {
			$ie = true;
			$button->set('onclick', "window.open(this.href, 'articlelinked', 'scrollbars=1,width=800,height=600');return false;");
		} else {
			$button->set('options', "{handler: 'iframe', size: {x:800,y:600}}");
			$button->set('modal', true);
		}

		$button->set('link', $link);
		$button->set('text', JText::_('Article Linked'));
		$button->set('name', 'articlelinked');
		

		return $button;
	}
}
